package config

import "time"

type Config struct {
	HTTP  httpConfig
	Cache cache
}

type httpConfig struct {
	Host           string        `envconfig:"HTTP_HOST"`
	Port           string        `envconfig:"HTTP_PORT" default:"8080"`
	IdleTimeout    time.Duration `envconfig:"HTTP_IDLE_TIMEOUT" default:"120s"`
	ReadTimeout    time.Duration `envconfig:"HTTP_READ_TIMEOUT" default:"10s"`
	WriteTimeout   time.Duration `envconfig:"HTTP_WRITE_TIMEOUT" default:"10s"`
	MaxRequestSize int           `envconfig:"HTTP_MAX_REQUEST_SIZE" default:"10000"` // 10000 bytes default
}

type cache struct {
	Host string `envconfig:"REDIS_HOST"`
	Port string `envconfig:"REDIS_PORT" default:"6379"`
	Pass string `envconfig:"REDIS_PASS"`
	DB   int    `envconfig:"REDIS_DB" default:"0""`
}
